package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 企业模板对象
 * 
 * @author lixu
 * @date 2025-05-21
 */
public class SysCompanyTemplate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 企业模板ID */
    private Long id;

    /** 企业名称 */
    private String companyName;

    /** 企业模板配置 */
    private String template;

    /** 企业ID */
    private Long companyId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setCompanyName(String companyName) 
    {
        this.companyName = companyName;
    }

    public String getCompanyName() 
    {
        return companyName;
    }

    public void setTemplate(String template) 
    {
        this.template = template;
    }

    public String getTemplate() 
    {
        return template;
    }

    public Long getCompanyId() {
		return companyId;
	}

    public void setCompanyId(Long companyId) {
		this.companyId = companyId;
	}

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("companyName", getCompanyName())
            .append("template", getTemplate())
            .append("companyId", getCompanyId())
            .toString();
    }
}
