package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 文件历史对象 sys_repo_history
 * 
 * @author lixu
 * @date 2025-05-19
 */
public class SysRepoHistory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 历史记录ID */
    private Long hId;

    /** 归属仓库记录ID */
    private Long repoId;

    /** 上传人 */
    private String uploadBy;

    /** 版本号 */
    private String version;

    /** url */
    private String url;

    /** 文件名 **/
    private String fileName;

    /** 备注 **/
    private String remark;

    public void sethId(Long hId) 
    {
        this.hId = hId;
    }

    public Long gethId() 
    {
        return hId;
    }

    public void setRepoId(Long repoId) 
    {
        this.repoId = repoId;
    }

    public Long getRepoId() 
    {
        return repoId;
    }

    public void setUploadBy(String uploadBy) 
    {
        this.uploadBy = uploadBy;
    }

    public String getUploadBy() 
    {
        return uploadBy;
    }

    public void setVersion(String version)
    {
        this.version = version;
    }

    public String getVersion()
    {
        return version;
    }

    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }

    public void setFileName(String fileName) {
		this.fileName = fileName;
	}

    public String getFileName() {
		return fileName;
	}

    public void setRemark(String remark) {
		this.remark = remark;
	}
    public String getRemark() {
		return remark;
	}

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("hId", gethId())
            .append("repoId", getRepoId())
            .append("uploadBy", getUploadBy())
            .append("version", getVersion())
            .append("url", getUrl())
            .append("fileName", getFileName())
            .append("remark", getRemark())
            .toString();
    }
}
