/*
 Navicat MySQL Data Transfer

 Source Server         : bishe
 Source Server Type    : MySQL
 Source Server Version : 50741
 Source Host           : localhost:3306
 Source Schema         : ry-vue

 Target Server Type    : MySQL
 Target Server Version : 50741
 File Encoding         : 65001

 Date: 20/05/2025 13:42:27
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_repo_history
-- ----------------------------
DROP TABLE IF EXISTS `sys_repo_history`;
CREATE TABLE `sys_repo_history`  (
  `h_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '历史记录ID',
  `repo_id` int(11) NOT NULL COMMENT '所属仓库文件ID',
  `upload_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '上传人',
  `version` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '文件版本',
  `url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '路径地址',
  `file_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '文件名',
  PRIMARY KEY (`h_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 12 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '文件历史表' ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;
